% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{free_cores}
\alias{free_cores}
\title{Get an approximate number of free cores.}
\usage{
free_cores()
}
\value{
The approximate number of free cores, which is an integer between 1 and one less than
the total cores.
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#deprecated}{\figure{lifecycle-deprecated.svg}{options: alt='[Deprecated]'}}}{\strong{[Deprecated]}} use
\code{parallelly::availableCores(omit = 1)} instead
}
\details{
\itemize{
\item This uses the maximum load average at 1, 5 and 15 minutes on Linux and Mac
machines to approximate the number of busy cores. For Windows, the load percentage is
multiplied with the total number of cores.
\item We then subtract this from the number of all detected cores. One additional core
is not used for extra safety.
}
}
\note{
If executed during a unit test and on CRAN then always returns 1 to avoid any
parallelization.
}
